%define module_version 0.04
%define module_name Regexp-ERE
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl(Test/Simple.pm) perl(Time/HiRes.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: extended regular expressions and finite automata
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/L/LO/LOIC/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Pure-perl module for:

=over 4

=item *

Parsing POSIX Extended Regular Expressions (`$ere') into
Non-Deterministic Finite Automata (`$nfa')

=item *

Manipulating `$nfa's (concatenating, or-ing, and-ing)

=item *

Computing Deterministic Finite Automata (`$dfa's) from `$nfa's
(powerset construction)

=item *

Computing minimal `$dfa's from `$dfa's (Hopcroft's algorithm)

=item *

Computing `$ere's or Perl Regular Expressions from `$nfa' or `$dfa'
(Warshall algorithm)

=item *

Heuristically deriving (possibly weaker) constraints from a `$nfa' or `$dfa'
suitable for display in a graphical user interface,
i.e. a sequence of widgets of type 'free text' and 'drop down';

Example: '^(abc|def)' => $nfa => [['abc', 'def'], 'free text']

=back


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README
%perl_vendor_privlib/R*

%changelog
* Thu Feb 05 2015 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- regenerated from template by package builder

* Mon Sep 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- regenerated from template by package builder

* Fri May 02 2014 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

